﻿@using Jumbula.Core.Domain
@model SportsClub.Models.ParentsInformationViewModel

<div class="wrapper-content container-fluid">

    @using (Html.BeginForm("DetailsPlayer", "Registrant", FormMethod.Post, new { @id = "DetailsPlayer", @name = "myForm" }))
    {
        @Html.AntiForgeryToken()

        <div id="order">
            <div class="row-fluid order" id="resultTarget">

                <div class="clearfix"><h3>@Model.FullName</h3></div>
                <div class="place-left col-md-5" style="padding-bottom: 15px;">
                    <label class="title ng-binding req-star">First name </label>
                    @Html.TextBoxFor(model => model.FirstName, new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
                </div>
                <div class="place-left col-md-5" style="padding-bottom: 15px;">
                    <label class="title ng-binding req-star ">Last name </label>
                    @Html.TextBoxFor(model => model.LastName, new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
                </div>
                <br />
                <div class="clearfix"></div>
                <div class="place-left col-md-5" style="padding-bottom: 15px;">
                    <label class="title ng-binding req-star">Email address</label>
                    @Html.TextBoxFor(model => model.Email, new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                </div>
                <div class="place-left col-md-5" style="padding-bottom: 15px;">
                    <label class="title ng-binding">Date of birth</label>
                    @Html.TextBoxFor(model => model.DOB, new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.DOB, "", new { @class = "text-danger" })
                </div>
                @if (Model.PlayerType == RelationshipType.Parent)
                {
                    <div class="place-left col-md-5">
                        <label class="title ng-binding req-star">Primary phone</label>
                        @Html.TextBoxFor(model => model.PrimaryPhone, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.PrimaryPhone, "", new { @class = "text-danger" })
                    </div>
                    <div class="place-left col-md-5">
                        <label class="title ng-binding req-star">Alternate phone</label>
                        @Html.TextBoxFor(model => model.CellPhone, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.CellPhone, "", new { @class = "text-danger" })
                    </div>
                }
     

                @Html.Hidden("ContactId", Model.ContactId, new { id = "hdnContactId" })
                @Html.Hidden("UserId", Model.UserId, new { id = "hdnUserId" })

                <div class="place-left col-md-10">
                    <a onClick="EditDetailsPlayer()" class="btn btn-primary back-to-dashboard btn-orange btn-corner-right">Submit</a>
                    <a href="@Url.Action("GetFamiliesProfile", "Registrant")" class="btn btn-primary pull-left back-to-dashboard">Back</a>
                    <div class="clearfix"></div>
                </div>
            </div>

        </div>

    }



</div>




